<?php
    $isMaster = $this->environment()->getClient()->isMaster();
?>

<ul class="breadcrumb">
    <li><a href="<?= $this->url('root') ?>"><?= $this->icon('home') ?></a></li>
    <li><?= $this->translate('analysis_module_title') ?></li>
    <li class="active"><?= $this->translate('analysis_indicator_module_title') ?></li>
</ul>

<h1 class="page-title">
    <?= $this->icon('analysis') ?> <?= $this->translate('analysis_indicator_module_title') ?>
</h1>

<div class="row row-padding">
    <div class="col-xs-12">
        <ul class="nav nav-tabs">
            <li class="active">
                <a href="#recap" data-toggle="tab" ng-click="tabRecapLoaded = tabRecapLoaded + 1">
                    <?= ucfirst($this->translate('analysis_indicator_recap')) ?>
                </a>
            </li>
            <li>
                <a href="#recapWithMeasures" data-toggle="tab" ng-click="tabRecapLoaded = tabRecapLoaded + 1">
                    <?= ucfirst($this->translate('analysis_indicator_recapWithMeasures')) ?>
                </a>
            </li>
            <?php if ($isMaster) : ?>
            <li>
                <a href="#recapByClient" data-toggle="tab" ng-click="tabRecapLoaded = tabRecapLoaded + 1">
                    <?= ucfirst($this->translate('analysis_indicator_recapByClient')) ?>
                </a>
            </li>
            <?php endif ?>
        </ul>
        <div class="panel">
            <div class="panel-body" ng-controller="indicatorController as self" ng-init="self.init(<?= $this->environment()->getclient()->isMaster() ? 'true' : 'false' ?>)">
                <div class="tab-content">
                    <div class="tab-pane active" id="recap">
                        <?= $this->partial('analysis/indicator/partial/recap.phtml') ?>
                    </div>
                    <div class="tab-pane" id="recapWithMeasures">
                        <?= $this->partial('analysis/indicator/partial/recap-with-measures.phtml') ?>
                    </div>
                <?php if ($isMaster) : ?>
                    <div class="tab-pane" id="recapByClient">
                        <?= $this->partial('analysis/indicator/partial/recap-by-client.phtml') ?>
                    </div>
                <?php endif ?>
                </div>
            </div>
        </div>
    </div>
</div>

<?php

$this->angular('js/src/analysis/controller/measure.js');
$this->angular('js/src/analysis/controller/indicator.js');
$this->angular('js/src/analysis/controller/projectFilter.js');

$this->angular('js/src/application/query/service/query.js');

$this->angular('js/src/project/service/project.js');
$this->angular('js/src/project/directive/projectSelect.js');

$this->angular('js/src/keyword/service/keyword.js');
$this->angular('js/src/keyword/service/group.js');
$this->angular('js/src/keyword/directive/keywordSelect.js');
$this->angular('js/src/keyword/directive/groupSelect.js');

$this->angular('js/src/user/service/user.js');
$this->angular('js/src/user/directive/userSelect.js');

$this->angular('js/src/directory/directive/structureSelect.js');
$this->angular('js/src/directory/service/structure.js');

$this->angular('js/src/map/directive/territorySelect.js');
$this->angular('js/src/map/service/territory.js');

$this->angular('js/src/budget/directive/budgetStatusSelect.js');
$this->angular('js/src/budget/service/budgetStatus.js');

$this->angular('js/src/project/directive/templateSelect.js');
$this->angular('js/src/project/service/template.js');

$this->angular('js/src/analysis/controller/indicator/recap.js');
$this->angular('js/src/analysis/controller/indicator/recapWithMeasures.js');
$this->angular('js/src/analysis/controller/indicator/recapByClient.js');

$this->angular('js/src/analysis/service/client.js');
$this->angular('js/src/analysis/directive/clientSelect.js');